API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /keyvaluemaps/{map_name}
Gets a KeyValueMap by name, along with associated entries
Verb: GET
Auth: Basic AuthContent Types:
application/json
text/xml
Gets a map by name, along with associated entries
Sample Request:Scoped by organization:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/keyvaluemaps/{map_name} \
-u myname:mypass
Scoped by environment:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/environments/{env_name}/keyvaluemaps/{map_name} \
-u myname:mypass
Scoped by API:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/apis/{api_name}/keyvaluemaps/{map_name} \
-u myname:mypass
Sample Response:
{
"entry" : [ {
"name" : "dev",
"value" : "user1"
} ],
"name" : "prodmap"
}
Response Payload Elements:
| Name | Description |
|---|---|
| entry | Name/value pair that defines the map entry |
| name | The name of the map |
{
"code" : "keymanagement.service.organization_map_doesnt_exist",
"message" : "Organization map does not exist",
"contexts" : [ ]
}